package stackjava.com.apachepoi.ptt.demo;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

import org.apache.poi.xslf.usermodel.SlideLayout;
import org.apache.poi.xslf.usermodel.XMLSlideShow;
import org.apache.poi.xslf.usermodel.XSLFHyperlink;
import org.apache.poi.xslf.usermodel.XSLFSlide;
import org.apache.poi.xslf.usermodel.XSLFSlideLayout;
import org.apache.poi.xslf.usermodel.XSLFSlideMaster;
import org.apache.poi.xslf.usermodel.XSLFTextParagraph;
import org.apache.poi.xslf.usermodel.XSLFTextRun;
import org.apache.poi.xslf.usermodel.XSLFTextShape;

public class InsertTextLink {
	public static void main(String args[]) throws IOException {

		// Create an empty presentation
		XMLSlideShow ppt = new XMLSlideShow();

		// Create Slide with SlideLayout = Title
		XSLFSlideMaster slideMaster = ppt.getSlideMasters().get(0);
		XSLFSlideLayout titleLayout = slideMaster.getLayout(SlideLayout.TITLE_AND_CONTENT);
		XSLFSlide slide = ppt.createSlide(titleLayout);
		XSLFTextShape title = slide.getPlaceholder(0);
		// setting the title init
		title.setText("stackjava.com");

		XSLFTextShape body = slide.getPlaceholder(1);
		// adding new paragraph
		XSLFTextParagraph paragraph = body.addNewTextParagraph();

		// creating text run object
		XSLFTextRun textRun1 = paragraph.addNewTextRun();
		textRun1.setText("Text bold and color RED");
		// setting color to the text
		textRun1.setFontColor(java.awt.Color.RED);
		textRun1.setBold(true);
		// setting font size to the text
		textRun1.setFontSize(40.0);
		// add new line
		paragraph.addLineBreak();

		XSLFTextRun textRun2 = paragraph.addNewTextRun();
		textRun2.setText("Text color blue");
		textRun2.setFontColor(java.awt.Color.BLUE);
		paragraph.addLineBreak();
		
		
		XSLFTextRun textRun3 = paragraph.addNewTextRun();
		textRun3.setText("stackjava.com");
		XSLFHyperlink link = textRun3.createHyperlink();
		link.setAddress("https://stackjava.com/");


		
		// creating an FileOutputStream object
		File file = new File("demo-insert-link-text.pptx");
		FileOutputStream out = new FileOutputStream(file);

		// saving the changes to a file
		ppt.write(out);
		System.out.println("successfully");
		out.close();
		ppt.close();
	}
}
